<template>
    <div v-if="error">{{error}}</div>
    <Suspense v-else> <!-- oczekuje na zakończenie wszystkich zapytań asynchronicznych -->
        <template #default>
            <HelloWorld/>
        </template>
        <template #fallback>
            Loading...
        </template>
    </Suspense>
</template>

    <script>
        import HelloWorld from './components/HelloWorld.vue'
        import {ref, onErrorCaptured} from "vue";

        export default {
            name: 'App',
            components: {
                HelloWorld
            },
            setup() {
                const error = ref(null);
                onErrorCaptured((e) => {
                    error.value = e;
                    return true;
                });
                return {error}
            }
        }
    </script>

    <style>
        body {
            background-color: black;
        }
    </style>
